import Vue from "vue";
import VueI18n from "vue-i18n";
import en from "./en";
import zhcn from "./zh-cn";

Vue.use(VueI18n);

// 从localStorage中拿到用户的语言选择，如果没有，默认中文
const i18n = new VueI18n({
  locale: localStorage.lang || "zhcn",
  silentTranslationWarn: true,
  messages: {
    en,
    zhcn
  }
});

export default i18n;
